Name:		opencv
Version:	2.4.13.3
Release:	%mkrel 2
Group:	Sciences/Computer science
License:	GPLv2+
Summary: Open Source Computer Vision library
URL:		http://opencv.org
Source: http://downloads.sourceforge.net/opencvlibrary/%{name}-%{version}.tar.xz
Patch0: opencv-2.4.8-revert-Make-ts-always-static.patch
#---------------------------------------------------------------------------------------------
BuildRequires: apache-ant
BuildRequires: cmake
BuildRequires: java-1.8.0-sun-devel
BuildRequires: %{_lib}OpenEXR-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dc1394-devel
BuildRequires: %{_lib}eigen3-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}openjpeg-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}ilmbase-devel
BuildRequires: %{_lib}jasper-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}v4l-devel
BuildRequires: make
BuildRequires: mktemp
BuildRequires: multiarch-utils
BuildRequires: patch
BuildRequires: pkgconfig
BuildRequires: python-numpy-devel
BuildRequires: zlib1-devel
#---------------------------------------------------------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#---------------------------------------------------------
Obsoletes:	libcv2 < %version-%release
Obsoletes:	libcvaux2 < %version-%release
Obsoletes:	libcxcore2 < %version-%release
Obsoletes:	libhighgui2 < %version-%release
Obsoletes:	libml2 < %version-%release
#---------------------------------------------------------
Provides:	libcv2 = %version-%release
Provides:	libcvaux2 = %version-%release
Provides:	libcxcore2 = %version-%release
Provides:	libhighgui2 = %version-%release
Provides:	libml2 = %version-%release
#--------------------------------------------------------

%description
OpenCV (Open Source Computer Vision) is a library of programming
functions for real time computer vision.

#--------------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%{_libdir}/libopencv_ocl.so.*
%{_libdir}/libopencv_calib3d.so.*
%{_libdir}/libopencv_contrib.so.*
%{_libdir}/libopencv_core.so.*
%{_libdir}/libopencv_features2d.so.*
%{_libdir}/libopencv_flann.so.*
%{_libdir}/libopencv_highgui.so.*
%{_libdir}/libopencv_imgproc.so.*
%{_libdir}/libopencv_legacy.so.*
%{_libdir}/libopencv_ml.so.*
%{_libdir}/libopencv_objdetect.so.*
%{_libdir}/libopencv_video.so.*
%{_libdir}/libopencv_nonfree.so.*
%{_libdir}/libopencv_photo.so.*
%{_libdir}/libopencv_stitching.so.*
%{_libdir}/libopencv_ts.so.*
%{_libdir}/libopencv_videostab.so.*
%{_libdir}/libopencv_superres.so.*
%{_datadir}/OpenCV/java/libopencv_java*.so
%{_datadir}/OpenCV/java/opencv-*.jar

%package devel
Summary: OpenCv development files
Group: Development/Libraries
Provides: libopencv-devel = %version

%description devel
OpenCv development files.

%files devel
%defattr(-,root,root,-)
%_libdir/*.so
%_includedir/*
%_libdir/pkgconfig/*
%_datadir/OpenCV/*.cmake
#--------------------------------------------------------------------------------

%package -n python-opencv
Summary: OpenCv python bindings
Group: Development/Python
Requires: python >= 2.6.6

%description -n python-opencv
OpenCv python bindings.

%files -n python-opencv
%defattr(-,root,root,-)
%python_sitearch

#--------------------------------------------------------------------------------

%package doc
Summary: OpenCv docs
Group: Documentation
BuildArch:	noarch

%description doc
OpenCv docs.

%files doc
%defattr(-,root,root,-)
%_datadir/OpenCV/doc

#--------------------------------------------------------------------------------

%package samples
Summary: OpenCv samples
Group: Documentation

%description samples
OpenCv samples.

%files samples
%defattr(-,root,root,-)
%{_bindir}/opencv_annotation
%{_bindir}/opencv_createsamples
%{_bindir}/opencv_haartraining
%{_bindir}/opencv_performance
%{_bindir}/opencv_traincascade
%_datadir/OpenCV/samples
%_datadir/OpenCV/haarcascades
%_datadir/OpenCV/lbpcascades
%{_bindir}/opencv_version
%{_bindir}/opencv_visualisation
#--------------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
export PYTHONDONTWRITEBYTECODE=
%cmake \
	-DBUILD_EXAMPLES=BOOL:ON \
	-DENABLE_SSE=0 \
	-DENABLE_SSE2=0 \
	-DENABLE_SSE3=0 \
	-DENABLE_SSSE3=0 \
	-DENABLE_SSE41=0 \
	-DENABLE_SSE42=0 \
	-DINSTALL_C_EXAMPLES=BOOL:ON \
	-DINSTALL_PYTHON_EXAMPLES=BOOL:ON \
	-DINSTALL_OCTAVE_EXAMPLES=BOOL:ON \
	-DPYTHON_PACKAGES_PATH=%{python_sitearch} \
	-DWITH_FFMPEG=BOOL:ON \
	-DBUILD_opencv_gpu=OFF

%make

%install
%__rm -rf %{buildroot}
export PYTHONDONTWRITEBYTECODE=
%makeinstall_std -C build

%clean
%__rm -rf %{buildroot}

%changelog
* Wed Oct 04 2017 bb2 <bb2> - 2.4.13.3-2pclos2017
- renable ffmpeg now after updating ffmpeg to 
- use openjpeg 2.2.0

* Wed Oct 04 2017 bb2 <bb2> - 2.4.13.3-1pclos2017
- new version
- build without ffmpeg

* Wed Mar 08 2016 bb2 <bb2> - 2.4.12.3-1pclos2017
- update for new ffmpeg

* Tue Jul 21 2015 pp <pp> 2.4.11-1pclos2015
- update

